using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class OSCstuff : MonoBehaviour
{
    OSC osc;

    private void Awake()
    {
        //find the OSC object with the OSC.cs script (like the RTcmixmain object for RTcmix)
        osc = GameObject.Find("OSC").GetComponent<OSC>();
    }

    // Start is called before the first frame update
    void Start()
    {
        // set up the GetPosition() function to receive OSC messages
        osc.SetAddressHandler("/coordinates", GetPosition);
    }

    // Update is called once per frame
    void Update()
    {
        OscMessage message;

        // create the message, load it up wit values and send it off
        message = new OscMessage();
        message.address = "/pos";
        message.values.Add(transform.position.x);
        message.values.Add(transform.position.y);
        message.values.Add(transform.position.z);
        osc.Send(message);
    }

    void GetPosition(OscMessage message)
    {
        // get the message and unpack the three values from it
        float x = message.GetFloat(0);
        float y = message.GetFloat(1);
        float z = message.GetFloat(2);

        // move our object to the new values
        transform.position = new Vector3(x, y, z);
    }
}
